# SdkLicenseStatus class

Scanbot SDK license status.

Annotations
  - @JsonSerializable(createToJson: false)

## Constructors

SdkLicenseStatus(bool isLicenseValid, DateTime? expirationDate, Status? status)
SdkLicenseStatus.fromJson(Map<String, dynamic> json)
  factory

## Properties

expirationDate ↔ DateTime?
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
isLicenseValid ↔ bool
  Indicates whether the current license key is valid or not.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
status ↔ Status?
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited